## org.eclipse.datatools.enablement.sybase.asa
Class ASADriverValuesProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.drivers.DefaultDriverValuesProvider
          org.eclipse.datatools.enablement.sybase.asa.ASADriverValuesProvider

All Implemented Interfaces:
  IDriverValuesProvider

    public class ASADriverValuesProvider

extends DefaultDriverValuesProvider

Field Summary

Fields inherited from interface org.eclipse.datatools.connectivity.drivers.IDriverValuesProvider
`VALUE_CREATE_DEFAULT, VALUE_DEFAULT_DEFINITION_NAME, VALUE_JARLIST, VALUE_NAME`

Constructor Summary
`ASADriverValuesProvider()`

Method Summary
`java.lang.String` `createDefaultValue(java.lang.String key)`

Methods inherited from class org.eclipse.datatools.connectivity.drivers.DefaultDriverValuesProvider
`getDriverTemplate, setDriverTemplate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASADriverValuesProvider

    public ASADriverValuesProvider()

Method Detail

### createDefaultValue

    public java.lang.String createDefaultValue(java.lang.String key)

  Specified by:
    `createDefaultValue` in interface `IDriverValuesProvider`
  Overrides:
    `createDefaultValue` in class `DefaultDriverValuesProvider`